<!DOCTYPE html>
<html>
<head>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.3/jquery.min.js" integrity="sha512-STof4xm1wgkfm7heWqFJVn58Hm3EtS31XFaagaa8VMReCXAkQnJZ+jEy8PCC/iT18dFy95WcExNHFTqLyp72eQ==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
  <title>Task 28.35</title>
</head>
<body>
<div class="container">
  <h3>jQUERY BASIC METHODS</h3>
  <!-- Div voucher 01 -->
  <div id="voucher-form-01" class="row jumbotron">
    <div class="row form-group">
        1) Khi ấn nút Kiểm tra 01, lấy giá trị ở ô Mã giảm giá và cho vào thẻ div id = "ma-giam-gia-01" <br>
        Gợi ý: sử dụng phương thức <span style="color: red;">.val() </span> để lấy giá trị của ô Text; <span style="color: red;">.html() </span> để thay đổi giá trị innerHTML
    </div>
    <div class="row form-group align-middle">
      <div class="col-sm-6 form-inline">
        <label for="fname">Mã giảm giá</label>
        <input type="text" id="voucher-01" name="voucher" placeholder="Nhập mã giảm giá.." class="form-control">
      </div>
      <div class="col-sm-6 form-inline">
        <div id="ma-giam-gia-01">ma-giam-gia-01</div>
      </div>
    </div>
    <div class="form-group">
      <button id="btn-kiem-ta-01" class="btn btn-success">Kiểm tra 01</button>
    </div>
  </div>

  <!-- Div voucher 02 -->
  <div id="voucher-form-02" class="row jumbotron">
    <div class="row form-group">
      2) Khi ấn nút Kiểm tra 02, lấy giá trị ở trong thẻ div "ma-giam-gia-02" và cho vào ô text id = "voucher-02" <br>
      Gợi ý: sử dụng phương thức <span style="color: red;">.html() </span> hoặc <span style="color: red;">.text() </span> để lấy giá trị của thẻ div; <span style="color: red;">.val() </span> để thay đổi giá trị ô Text
    </div>
    <div class="row form-group">
      <div class="col-sm-6">
        <div id="ma-giam-gia-02">24864</div>
      </div>
      <div class="col-sm-6 form-inline">
        <label for="fname">Mã giảm giá</label>
        <input type="text" id="voucher-02" name="voucher" placeholder="mã giảm giá.." class="form-control">
      </div>
    </div>
    <div class="form-group">
      <button id="btn-kiem-ta-02" class="btn btn-success">Kiểm tra 02</button>
    </div>
  </div>

  <!-- Div 2 button -->
  <div id="content-form" class="row jumbotron">
    <div class="row form-group">
      3) Khi ấn 2 nút bên dưới, đổi màu chữ thẻ div có id = "content-div" tương ứng với màu nút<br>
    </div>
    <div class="row form-group">
      <div id="content-div">Nội dung bên trong thẻ div cần đổi màu</div>
    </div>
    <div class="form-group">
      <button id="btn-mau-do" class="btn btn-danger">Màu đỏ</button>
      <button id="btn-mau-vang" class="btn btn-warning">Màu vàng</button>
    </div>
  </div>
</div>
</body>
<script>
  $(document).ready(function(){
    "use strict"

    $("#btn-kiem-ta-01").on("click", onBtnKT01);
    $("#btn-kiem-ta-02").click(onBtnKT01);
    $("#btn-mau-do").click(onBtnMauDoClick);
    $("#btn-mau-vang").on("click", function(){
      onBtnMauVangClick();
    })

  })
  function onBtnKT01(){
   console.log("Subtask 1")
   var vInpElement = $("#voucher-01").val();
   var vValue = $("#ma-giam-gia-01");
   vValue.html(vInpElement);
  }

  function onBtnKT01(){
   console.log("%c Subtask 2", "color:red")
   var vInpElement = $("#ma-giam-gia-02").text();
   var vValue = $("#voucher-02");
   vValue.val(vInpElement);
  }

  function onBtnMauDoClick(){
    console.log("%c Subtask 3", "color:red")
    var vDiv = $("#content-div")
    vDiv.css("color","red");
  }

  function onBtnMauVangClick(){
    console.log("%c Subtask 4", "color:red")
    var vDiv = $("#content-div")
    vDiv.css("color","yellow");
  }
</script>
</html>
